import { registerCommentsWidget as publicRegisterCommentsWidget, queryCommentsWidgetResources as publicQueryCommentsWidgetResources, createCommentsWidget as publicCreateCommentsWidget, getCommentsWidget as publicGetCommentsWidget, updateCommentsWidget as publicUpdateCommentsWidget, deleteCommentsWidget as publicDeleteCommentsWidget, queryCommentsWidget as publicQueryCommentsWidget, } from './comments-categories-v1-comments-widget-widgets.public.js';
import { createRESTModule } from '@wix/sdk-runtime/rest-modules';
import { createEventModule } from '@wix/sdk-runtime/event-definition-modules';
import { onCommentsWidgetCreated as publicOnCommentsWidgetCreated } from './comments-categories-v1-comments-widget-widgets.public.js';
import { onCommentsWidgetDeleted as publicOnCommentsWidgetDeleted } from './comments-categories-v1-comments-widget-widgets.public.js';
import { onCommentsWidgetUpdated as publicOnCommentsWidgetUpdated } from './comments-categories-v1-comments-widget-widgets.public.js';
export const registerCommentsWidget = /*#__PURE__*/ createRESTModule(publicRegisterCommentsWidget);
export const queryCommentsWidgetResources = /*#__PURE__*/ createRESTModule(publicQueryCommentsWidgetResources);
export const createCommentsWidget = /*#__PURE__*/ createRESTModule(publicCreateCommentsWidget);
export const getCommentsWidget = /*#__PURE__*/ createRESTModule(publicGetCommentsWidget);
export const updateCommentsWidget = /*#__PURE__*/ createRESTModule(publicUpdateCommentsWidget);
export const deleteCommentsWidget = /*#__PURE__*/ createRESTModule(publicDeleteCommentsWidget);
export const queryCommentsWidget = /*#__PURE__*/ createRESTModule(publicQueryCommentsWidget);
/** */
export const onCommentsWidgetCreated = createEventModule(publicOnCommentsWidgetCreated);
/** */
export const onCommentsWidgetDeleted = createEventModule(publicOnCommentsWidgetDeleted);
/** */
export const onCommentsWidgetUpdated = createEventModule(publicOnCommentsWidgetUpdated);
export { SortOrder, WebhookIdentityType, } from './comments-categories-v1-comments-widget-widgets.universal.js';
//# sourceMappingURL=comments-categories-v1-comments-widget-widgets.context.js.map