import * as ambassadorWixCommentsCategoriesV1CommentsWidget from './comments-categories-v1-comments-widget-widgets.http.js';
export function registerCommentsWidget() {
    const payload = {};
    const getRequestOptions = ambassadorWixCommentsCategoriesV1CommentsWidget.registerCommentsWidget(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/comments/widgets/register',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function queryCommentsWidgetResources() {
    const payload = {};
    const getRequestOptions = ambassadorWixCommentsCategoriesV1CommentsWidget.queryCommentsWidgetResources(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/comments/widgets/resources/query',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function createCommentsWidget() {
    const payload = {};
    const getRequestOptions = ambassadorWixCommentsCategoriesV1CommentsWidget.createCommentsWidget(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/comments/widgets',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function getCommentsWidget() {
    const payload = { commentsWidgetId: ':commentsWidgetId' };
    const getRequestOptions = ambassadorWixCommentsCategoriesV1CommentsWidget.getCommentsWidget(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v1/comments/widgets/{commentsWidgetId}',
        pathParams: { commentsWidgetId: 'commentsWidgetId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function updateCommentsWidget() {
    const payload = { commentsWidget: { id: ':commentsWidgetId' } };
    const getRequestOptions = ambassadorWixCommentsCategoriesV1CommentsWidget.updateCommentsWidget(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'PATCH',
        path: '/v1/comments/widgets/{commentsWidget.id}',
        pathParams: { commentsWidgetId: 'commentsWidgetId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function deleteCommentsWidget() {
    const payload = { commentsWidgetId: ':commentsWidgetId' };
    const getRequestOptions = ambassadorWixCommentsCategoriesV1CommentsWidget.deleteCommentsWidget(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'DELETE',
        path: '/v1/comments/widgets/{commentsWidgetId}',
        pathParams: { commentsWidgetId: 'commentsWidgetId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function queryCommentsWidget() {
    const payload = {};
    const getRequestOptions = ambassadorWixCommentsCategoriesV1CommentsWidget.queryCommentsWidget(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/comments/widgets/query',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
//# sourceMappingURL=comments-categories-v1-comments-widget-widgets.meta.js.map