import * as ambassadorWixCommentsCategoriesV1CommentsWidgetTypes from './comments-categories-v1-comments-widget-widgets.types.js';
import * as ambassadorWixCommentsCategoriesV1CommentsWidgetUniversalTypes from './comments-categories-v1-comments-widget-widgets.universal.js';
export type __PublicMethodMetaInfo<K = string, M = unknown, T = unknown, S = unknown, Q = unknown, R = unknown> = {
    getUrl: (context: any) => string;
    httpMethod: K;
    path: string;
    pathParams: M;
    __requestType: T;
    __originalRequestType: S;
    __responseType: Q;
    __originalResponseType: R;
};
export declare function registerCommentsWidget(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixCommentsCategoriesV1CommentsWidgetUniversalTypes.RegisterCommentsWidgetRequest, ambassadorWixCommentsCategoriesV1CommentsWidgetTypes.RegisterCommentsWidgetRequest, ambassadorWixCommentsCategoriesV1CommentsWidgetUniversalTypes.RegisterCommentsWidgetResponse, ambassadorWixCommentsCategoriesV1CommentsWidgetTypes.RegisterCommentsWidgetResponse>;
export declare function queryCommentsWidgetResources(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixCommentsCategoriesV1CommentsWidgetUniversalTypes.QueryCommentsWidgetResourcesRequest, ambassadorWixCommentsCategoriesV1CommentsWidgetTypes.QueryCommentsWidgetResourcesRequest, ambassadorWixCommentsCategoriesV1CommentsWidgetUniversalTypes.QueryCommentsWidgetResourcesResponse, ambassadorWixCommentsCategoriesV1CommentsWidgetTypes.QueryCommentsWidgetResourcesResponse>;
export declare function createCommentsWidget(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixCommentsCategoriesV1CommentsWidgetUniversalTypes.CreateCommentsWidgetRequest, ambassadorWixCommentsCategoriesV1CommentsWidgetTypes.CreateCommentsWidgetRequest, ambassadorWixCommentsCategoriesV1CommentsWidgetUniversalTypes.CreateCommentsWidgetResponse, ambassadorWixCommentsCategoriesV1CommentsWidgetTypes.CreateCommentsWidgetResponse>;
export declare function getCommentsWidget(): __PublicMethodMetaInfo<'GET', {
    commentsWidgetId: string;
}, ambassadorWixCommentsCategoriesV1CommentsWidgetUniversalTypes.GetCommentsWidgetRequest, ambassadorWixCommentsCategoriesV1CommentsWidgetTypes.GetCommentsWidgetRequest, ambassadorWixCommentsCategoriesV1CommentsWidgetUniversalTypes.GetCommentsWidgetResponse, ambassadorWixCommentsCategoriesV1CommentsWidgetTypes.GetCommentsWidgetResponse>;
export declare function updateCommentsWidget(): __PublicMethodMetaInfo<'PATCH', {
    commentsWidgetId: string;
}, ambassadorWixCommentsCategoriesV1CommentsWidgetUniversalTypes.UpdateCommentsWidgetRequest, ambassadorWixCommentsCategoriesV1CommentsWidgetTypes.UpdateCommentsWidgetRequest, ambassadorWixCommentsCategoriesV1CommentsWidgetUniversalTypes.UpdateCommentsWidgetResponse, ambassadorWixCommentsCategoriesV1CommentsWidgetTypes.UpdateCommentsWidgetResponse>;
export declare function deleteCommentsWidget(): __PublicMethodMetaInfo<'DELETE', {
    commentsWidgetId: string;
}, ambassadorWixCommentsCategoriesV1CommentsWidgetUniversalTypes.DeleteCommentsWidgetRequest, ambassadorWixCommentsCategoriesV1CommentsWidgetTypes.DeleteCommentsWidgetRequest, ambassadorWixCommentsCategoriesV1CommentsWidgetUniversalTypes.DeleteCommentsWidgetResponse, ambassadorWixCommentsCategoriesV1CommentsWidgetTypes.DeleteCommentsWidgetResponse>;
export declare function queryCommentsWidget(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixCommentsCategoriesV1CommentsWidgetUniversalTypes.QueryCommentsWidgetRequest, ambassadorWixCommentsCategoriesV1CommentsWidgetTypes.QueryCommentsWidgetRequest, ambassadorWixCommentsCategoriesV1CommentsWidgetUniversalTypes.QueryCommentsWidgetResponse, ambassadorWixCommentsCategoriesV1CommentsWidgetTypes.QueryCommentsWidgetResponse>;
