"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.queryCommentsWidget = exports.deleteCommentsWidget = exports.updateCommentsWidget = exports.getCommentsWidget = exports.createCommentsWidget = exports.queryCommentsWidgetResources = exports.registerCommentsWidget = void 0;
const ambassadorWixCommentsCategoriesV1CommentsWidget = __importStar(require("./comments-categories-v1-comments-widget-widgets.http.js"));
function registerCommentsWidget() {
    const payload = {};
    const getRequestOptions = ambassadorWixCommentsCategoriesV1CommentsWidget.registerCommentsWidget(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/comments/widgets/register',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.registerCommentsWidget = registerCommentsWidget;
function queryCommentsWidgetResources() {
    const payload = {};
    const getRequestOptions = ambassadorWixCommentsCategoriesV1CommentsWidget.queryCommentsWidgetResources(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/comments/widgets/resources/query',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.queryCommentsWidgetResources = queryCommentsWidgetResources;
function createCommentsWidget() {
    const payload = {};
    const getRequestOptions = ambassadorWixCommentsCategoriesV1CommentsWidget.createCommentsWidget(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/comments/widgets',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.createCommentsWidget = createCommentsWidget;
function getCommentsWidget() {
    const payload = { commentsWidgetId: ':commentsWidgetId' };
    const getRequestOptions = ambassadorWixCommentsCategoriesV1CommentsWidget.getCommentsWidget(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v1/comments/widgets/{commentsWidgetId}',
        pathParams: { commentsWidgetId: 'commentsWidgetId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.getCommentsWidget = getCommentsWidget;
function updateCommentsWidget() {
    const payload = { commentsWidget: { id: ':commentsWidgetId' } };
    const getRequestOptions = ambassadorWixCommentsCategoriesV1CommentsWidget.updateCommentsWidget(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'PATCH',
        path: '/v1/comments/widgets/{commentsWidget.id}',
        pathParams: { commentsWidgetId: 'commentsWidgetId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.updateCommentsWidget = updateCommentsWidget;
function deleteCommentsWidget() {
    const payload = { commentsWidgetId: ':commentsWidgetId' };
    const getRequestOptions = ambassadorWixCommentsCategoriesV1CommentsWidget.deleteCommentsWidget(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'DELETE',
        path: '/v1/comments/widgets/{commentsWidgetId}',
        pathParams: { commentsWidgetId: 'commentsWidgetId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.deleteCommentsWidget = deleteCommentsWidget;
function queryCommentsWidget() {
    const payload = {};
    const getRequestOptions = ambassadorWixCommentsCategoriesV1CommentsWidget.queryCommentsWidget(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/comments/widgets/query',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.queryCommentsWidget = queryCommentsWidget;
//# sourceMappingURL=comments-categories-v1-comments-widget-widgets.meta.js.map