import { registerCommentsWidget as publicRegisterCommentsWidget, queryCommentsWidgetResources as publicQueryCommentsWidgetResources, createCommentsWidget as publicCreateCommentsWidget, getCommentsWidget as publicGetCommentsWidget, updateCommentsWidget as publicUpdateCommentsWidget, deleteCommentsWidget as publicDeleteCommentsWidget, queryCommentsWidget as publicQueryCommentsWidget } from './comments-categories-v1-comments-widget-widgets.public.js';
import { createEventModule } from '@wix/sdk-runtime/event-definition-modules';
import { BuildRESTFunction, MaybeContext } from '@wix/sdk-types';
import { onCommentsWidgetCreated as publicOnCommentsWidgetCreated } from './comments-categories-v1-comments-widget-widgets.public.js';
import { onCommentsWidgetDeleted as publicOnCommentsWidgetDeleted } from './comments-categories-v1-comments-widget-widgets.public.js';
import { onCommentsWidgetUpdated as publicOnCommentsWidgetUpdated } from './comments-categories-v1-comments-widget-widgets.public.js';
export declare const registerCommentsWidget: MaybeContext<BuildRESTFunction<typeof publicRegisterCommentsWidget> & typeof publicRegisterCommentsWidget>;
export declare const queryCommentsWidgetResources: MaybeContext<BuildRESTFunction<typeof publicQueryCommentsWidgetResources> & typeof publicQueryCommentsWidgetResources>;
export declare const createCommentsWidget: MaybeContext<BuildRESTFunction<typeof publicCreateCommentsWidget> & typeof publicCreateCommentsWidget>;
export declare const getCommentsWidget: MaybeContext<BuildRESTFunction<typeof publicGetCommentsWidget> & typeof publicGetCommentsWidget>;
export declare const updateCommentsWidget: MaybeContext<BuildRESTFunction<typeof publicUpdateCommentsWidget> & typeof publicUpdateCommentsWidget>;
export declare const deleteCommentsWidget: MaybeContext<BuildRESTFunction<typeof publicDeleteCommentsWidget> & typeof publicDeleteCommentsWidget>;
export declare const queryCommentsWidget: MaybeContext<BuildRESTFunction<typeof publicQueryCommentsWidget> & typeof publicQueryCommentsWidget>;
/** */
export declare const onCommentsWidgetCreated: ReturnType<typeof createEventModule<typeof publicOnCommentsWidgetCreated>>;
/** */
export declare const onCommentsWidgetDeleted: ReturnType<typeof createEventModule<typeof publicOnCommentsWidgetDeleted>>;
/** */
export declare const onCommentsWidgetUpdated: ReturnType<typeof createEventModule<typeof publicOnCommentsWidgetUpdated>>;
export { SortOrder, WebhookIdentityType, } from './comments-categories-v1-comments-widget-widgets.universal.js';
export { CommentsWidget, RegisterCommentsWidgetRequest, RegisterCommentsWidgetResponse, QueryCommentsWidgetResourcesRequest, CursorQuery, CursorQueryPagingMethodOneOf, Sorting, CursorPaging, QueryCommentsWidgetResourcesResponse, CursorPagingMetadata, Cursors, CreateCommentsWidgetRequest, CreateCommentsWidgetResponse, GetCommentsWidgetRequest, GetCommentsWidgetResponse, UpdateCommentsWidgetRequest, UpdateCommentsWidgetResponse, DeleteCommentsWidgetRequest, DeleteCommentsWidgetResponse, QueryCommentsWidgetRequest, QueryV2, QueryV2PagingMethodOneOf, Paging, QueryCommentsWidgetResponse, PagingMetadataV2, DomainEvent, DomainEventBodyOneOf, EntityCreatedEvent, RestoreInfo, EntityUpdatedEvent, EntityDeletedEvent, ActionEvent, Empty, MessageEnvelope, IdentificationData, IdentificationDataIdOneOf, BaseEventMetadata, EventMetadata, CommentsWidgetCreatedEnvelope, CommentsWidgetDeletedEnvelope, CommentsWidgetUpdatedEnvelope, RegisterCommentsWidgetOptions, UpdateCommentsWidget, DeleteCommentsWidgetOptions, CommentsWidgetsQueryResult, CommentsWidgetsQueryBuilder, } from './comments-categories-v1-comments-widget-widgets.universal.js';
